Bug 1482561 - NMI: watchdog BUG; soft lockup 8139too
Summary: NMI: watchdog BUG; soft lockup 8139too
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 25
Hardware: i686
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-17 15:01 UTC by Ralf Corsepius
Modified: 2017-12-12 10:15 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:15:03 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Ralf Corsepius 2017-08-17 15:01:03 UTC
Description of problem:
I am facing severe system lockups/freezes with all i686-Fedora kernels >= 4.10 up to 4.12.7 with both Fedora 25 and 26 upon network activity, on one particular machine (A Pentium III).

Unfortunately I haven't yet managed to generate a log file containing the actual error message (I have photo of misable quality of it). Journald doesn't seem to catch these (Likely due to the lockup), they only appear on the console.

The core part of the error seems to be this:
...
Call Trace:
 <SOFTIRQ
 rtl8139:poll+0292&0x570 [8139too]
...


From this, I presume the realtek rtl8139/8139too kernel driver to be broken
(git log indicates it was applied untested patches).


Version-Release number of selected component (if applicable):
All kernels >= 4.10

How reproducible:
Always.

Steps to Reproduce:
1. Boot
2. Produce network load (e.g. run rsync)

Actual results:
Machine locks up.

Expected results:
Function.

Additional info:
Git commit 82c01a84d5a9bd3b9347bb03eed2f05bbccef933
from Linus' git (https://github.com/torvalds/linux)
and adding it to Fedoras kernel seems to fix this problem for me (Tested with fedora-26-i386, not tested yet on x86_64 nor fedora 25).

No idea about the actual origin of the bug. Given the nature of the patch, my gut feeling is "uninitialized variables" or "prototype mismatches".

Comment 1 Fedora End Of Life 2017-11-16 18:37:53 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-12-12 10:15:03 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.